Bug 186498 - Videocamera via Firewire still does not work
Videocamera via Firewire still does not work
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-23 16:31 EST by Christoph Lorenz
Modified: 2008-01-19 23:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:42:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christoph Lorenz 2006-03-23 16:31:31 EST
Description of problem:

Since the 2.6 kernel series, I'm no longer able to access my Panasonic NV-DS29
Videocamera via Firewire. In the former 2.4 series, it worked without a problem.

Attaching the camera to the firewire port leads to the following error:

ieee1394: SelfIDs failed root check
ieee1394: Error in SelfID stage, resetting
Badness in get_phy_reg at drivers/ieee1394/ohci1394.c:235 (Not tainted)
 [<df9aea36>] get_phy_reg+0x7a/0xe2 [ohci1394]     [<df9aed96>]
ohci_devctl+0x46/0x57f [ohci1394]
 [<df9e96b7>] hpsb_selfid_complete+0x1d9/0x270 [ieee1394]     [<df9e901c>]
hpsb_reset_bus+0x1c/0x22 [ieee1394]
 [<df9b1dbd>] ohci_irq_handler+0x64a/0x6be [ohci1394]     [<c01384c6>]
handle_IRQ_event+0x23/0x4c
 [<c0138569>] __do_IRQ+0x7a/0xcd     [<c0104bde>] do_IRQ+0x5c/0x77
 =======================
 [<c010358e>] common_interrupt+0x1a/0x20    Badness in set_phy_reg at
drivers/ieee1394/ohci1394.c:264 (Not tainted)
 [<df9ae96f>] set_phy_reg+0x84/0xd1 [ohci1394]
 [<df9aedaa>] ohci_devctl+0x5a/0x57f [ohci1394]     [<df9e96b7>]
hpsb_selfid_complete+0x1d9/0x270 [ieee1394]
 [<df9e901c>] hpsb_reset_bus+0x1c/0x22 [ieee1394]     [<df9b1dbd>]
ohci_irq_handler+0x64a/0x6be [ohci1394]
 [<c01384c6>] handle_IRQ_event+0x23/0x4c     [<c0138569>] __do_IRQ+0x7a/0xcd
 [<c0104bde>] do_IRQ+0x5c/0x77     =======================
 [<c010358e>] common_interrupt+0x1a/0x20
ieee1394: SelfIDs failed root check
ieee1394: Error in SelfID stage, resetting
ieee1394: Current remote IRM is not 1394a-2000 compliant, resetting...
ieee1394: SelfIDs failed root check
ieee1394: Error in SelfID stage, resetting
ieee1394: Current remote IRM is not 1394a-2000 compliant, resetting...
ieee1394: SelfIDs failed root check
ieee1394: Error in SelfID stage, resetting
ieee1394: SelfIDs failed root check
ieee1394: Error in SelfID stage, resetting
ieee1394: Current remote IRM is not 1394a-2000 compliant, resetting...


Version-Release number of selected component (if applicable):

The Kernel is the default kernel shipped with FC5:
Linux version 2.6.15-1.2054_FC5 (bhcompile@hs20-bc1-3.build.redhat.com) (gcc
version 4.1.0 20060304 (Red Hat 4.1.0-3)) #1 Tue Mar 14 15:48:33 EST 2006

How reproducible:

Every time.


Steps to Reproduce:
1. Attach Camera to Firewire
2. Power Camera on (if it wasn't powered on before - that doesn't matter)
3. dmesg shows the errors
  
Actual results:

It is not possible to grab DV video data from the camera

Expected results:

Grab DV video data from the camera, as it was possible in the 2.4 kernel
series.

Additional info:
Comment 1 Dave Jones 2006-10-16 15:56:49 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 Jon Stanley 2008-01-19 23:42:01 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.